namespace Pexeso24
{
    public partial class Form1 : Form
    {
        enum Stav { START, HRA, JEDNA, DVE, KONEC };
        Stav stav;
        int PocetKaret = 6;
        Random rng = new Random();

        public Form1()
        {
            InitializeComponent();
            // !!! po spusteni ma byt aplikace ve stavu START
            NastavStav(Stav.START);
        }

        private void NastavStav(Stav novy)
        {
            switch (novy)
            {
                case Stav.START:
                    lNavod.Visible = true;
                    bStart.Visible = true;
                    bZnovu.Visible = false;
                    break;
                case Stav.HRA:
                    lNavod.Visible = false;
                    bStart.Visible = false;
                    bZnovu.Visible = false;
                    // TODO Zobrazit karticky
                    VygenerujKarticky();
                    break;
                case Stav.JEDNA:
                    break;
                case Stav.DVE:
                    break;
                case Stav.KONEC:
                    lNavod.Visible = false;
                    bStart.Visible = false;
                    bZnovu.Visible = true;
                    break;
                default:
                    break;
            }
            // !!! nezapomenout aktualizovat `stav`
            stav = novy;
        }

        private void VygenerujKarticky()
        {
            // Vytvoreni tlacitka
            Button karticka = new Button();
            karticka.Width = ClientSize.Width / PocetKaret;

            int nahodne = rng.Next(18); // 0..17
            karticka.Tag = 1;
            karticka.Text = karticka.Tag.ToString();
            karticka.Parent = this; // Pridam na formular
            karticka.Click += Karticka_Click;
        }

        private void Karticka_Click(object? sender, EventArgs e)
        {
            Button karticka = (Button)sender;
            karticka.Text = "Klikl jsem sem";

            // !!! odstraneni karticky (tlacitka) z formulare
            Controls.Remove(karticka);
        }

        private void bStart_Click(object sender, EventArgs e)
        {
            NastavStav(Stav.HRA);
        }


    }
}
